#!/usr/bin/awk -f

BEGIN {
    APP_PREFIX="";
    APP_NAME="";
}

{
    if ($2 ~ "APP_PREFIX_NAME") {
        split($3, tokens, "\"");
        APP_PREFIX=tokens[2];
        printf("%s=%s\n", $2, APP_PREFIX); 
    } else if ($2 ~ "APPNAME") {
        split($3, tokens, "\"");
        APP_NAME=tokens[2];
        printf("%s=%s\n", $2, APP_NAME); 
    } else if (($2 ~ "SYNC_APPLICATION_NAME")    || 
               ($2 ~ "MENUBAR_APPLICATION_NAME")) {
        split($3, tokens, "\"");
        application_name=tokens[2];
        printf("%s=%s%s\n", $2, APP_PREFIX, application_name);
    } else if  ($2 ~ "LAUNCHER_APPLICATION_NAME") {
        printf("%s=%s\n", $2, APP_NAME);
    } else if ($2 ~ "PREFERENCE_APPLICATION_NAME") {
        split($3, tokens, "\"");
        application_name=tokens[2];
        printf("%s=%s%s\n", $2, APP_PREFIX, application_name);
    } else if ($2 ~ "PREFERENCES_PANEL_ID") {
        split($3, tokens, "\"");
        printf("%s=%s%s%s\n", $2, tokens[2], APP_NAME, tokens[4]);
    } else if ($2 ~ "PREFERENCE_VISIBLE_NAME") {
        split($4, tokens, "\"");
        printf("%s=\"%s %s\"\n", $2, APP_NAME, tokens[1]);
    }
}
